Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Update PHP in LTS 14.04  (gelezen 151 keer)

Offline HanKoster

  • Lid
Update PHP in LTS 14.04
« Gepost op: 2015/12/27, 11:26:48 »
Op mijn server draait PHP 5.5.9 Om precies te zijn PHP 5.5.9-1ubuntu4.14 (cli) (built: Oct 28 2015 01:34:46)
Mijn website gebruikt Joomla.
In de beschrijving van Joomla release 3.4.7 staat dat er een PHP vulnerability is die in PHP 5.5.29 is opgelost.
Mag ik er van uitgaan dat de Ubuntu update van 28 oktober dit lek gedicht heeft zonder dat het versienummer van PHP aangepast is?
Of moet ik alsnog een PHP update doorvoeren?

Offline Ron

  • Forumteam
    • r0n
    • Dwarsligger
  • Steunpunt: Ja
Re: Update PHP in LTS 14.04
« Reactie #1 Gepost op: 2015/12/27, 11:40:10 »
Je moet Joomla updaten, wat in de nieuwste versie is het probleem opgelost.
Van PHP krijg je vanzelf de updates, zodra ze er zijn, mits je deze gewoon vanuit de repositories hebt geïnstalleerd.
OpenStandaard evangelist, OpenSource promotor, OpenData liefhebber.
Xubuntu gebruiker en voorstander (XFCE).
In Nederland bekend als een dwarsligger.

Offline HanKoster

  • Lid
Re: Update PHP in LTS 14.04
« Reactie #2 Gepost op: 2015/12/27, 12:25:03 »
Dank je voor je reactie.
Dat wist ik overigens al en die update heb ik ook al uitgevoerd.
Maar dat betekent niet dat alle extensies nu ook in orde zijn.
Bovendien schrijf ik zelf ook PHP code. Zowel Joomla extensies als stand-alone applicaties.
En ik vind het een veilig idee dat de PHP versie die ik gebruik geen vulnerabilities meer bevat.
Vandaar mijn vraag of php5.5.9-1ubuntu4.14 van 28 oktober 2015 de php updates t/m 5.5.29 bevat of dat ik dat alsnog handmatig moet doen.
« Laatst bewerkt op: 2015/12/27, 12:34:48 door HanKoster »

Offline MauRice2

  • Lid
  • Steunpunt: Nee
Re: Update PHP in LTS 14.04
« Reactie #3 Gepost op: 2015/12/27, 13:40:21 »
Han,

Ik ben in deze materie niet helemaal op de hoogte....
Maar ik vermoed van niet.
Een lijstje van alle php5 pakketten in alle distro varrianten kan je gemakkelijk opvragen via: http://packages.ubuntu.com
Anders zal het een ppa worden.
Kan je nog kiezen ook: php 5.5.x - php 5.6.x - php 7.0.x
MvG,
MauRice
Registered Linux user: 473556